#ifndef GAME_H
#define GAME_H

#include <SFML/Graphics/RenderWindow.hpp>
#include "game/inputtype.h"

class Game
{
public:
    virtual ~Game() = default;

    virtual void run() = 0;

    virtual void input(PlayerInput&& inputdata) = 0;
    virtual void update() = 0;
    virtual void draw() const = 0;
};

#endif // GAME_H
