#include "group.h"

void Group::input(const sf::Event& event)
{
    Widget::input(event);
}

void Group::update()
{
    Widget::update();
}

void Group::draw(sf::RenderTarget& target, sf::RenderStates states) const
{
    Widget::draw(target, states);
}

void Group::setRect(const sf::FloatRect& rect)
{
    _rect = rect;
}

void Group::setPosition(const sf::Vector2f& position)
{
    _rect.top = position.y;
    _rect.left = position.x;
}

bool Group::isUnderMouse(int mouse_x, int mouse_y) const
{
   return _rect.contains(mouse_x, mouse_y);
}
